PlanewardPlaneward Docs
PlanewardPlaneward Docs
Welcome

Developers

REST APIAuthenticationWebhooksMCPEmbedded projectsTask description contentDeveloper hub

API

List sites GETCreate a site POSTGet a site GETUpdate a site PATCHDelete a site DELETEPublish a site POSTUnpublish a site POSTList pages GETCreate a page POSTGet a page GETUpdate a page PATCHDelete a page DELETEList collections GETCreate a collection POSTGet a collection GETUpdate a collection PATCHDelete a collection DELETEList collection items GETCreate a collection item POSTGet a collection item GETUpdate a collection item PATCHDelete a collection item DELETEPublish collection items POSTUnpublish collection items POSTArchive collection items POSTUpsert collection items POST
Sites

Create a page

POST
/sites/{siteId}/pages

Authorization

x-api-key<token>

In: header

Path Parameters

siteId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/sites/string/pages" \  -H "Content-Type: application/json" \  -d '{    "title": "string"  }'
{  "data": {    "id": "string",    "title": "string",    "slug": "string",    "kind": "PAGE",    "hidden": true,    "hideHeader": false,    "hideFooter": false,    "seo": {      "title": "string",      "description": "string",      "ogImage": "string",      "noindex": true,      "schemaType": "WebPage",      "publishedAt": "string"    },    "contentVersion": 0,    "body": null,    "updatedAt": "2019-08-24T14:15:22Z"  }}

List pages GET

Pages in site order. `kind` defaults to PAGE; HEADER and FOOTER are the site chrome, TEMPLATE pages belong to collections.

Get a page GET

Includes the draft body tree and `contentVersion`.

title*string
Lengthlength <= 160
slug?string
Lengthlength <= 80
hideHeader?boolean
hideFooter?boolean